#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEF,0x55,0xA6,0x67,0x62,0xA2,0xCC,0x0B,0x40,0xAC,0x15,0xF5,
		0x48,0x83,0xDA,0x50,0x9E,0x2F,0xBA,0x59,0xF8,0x88,0xFA,0xEC,
		0xF3,0xBF,0x01,0xC3,0xB2,0x30,0x92,0xA6,0x55,0x4D,0x51,0x67,
		0x14,0x0B,0xA1,0x2A,0x90,0x5D,0x5D,0xDA,0x95,0x41,0x91,0x90,
		0xED,0x10,0xD3,0xA9,0x71,0xBA,0x28,0xBD,0x8D,0x47,0xED,0x66,
		0xED,0xF5,0x5A,0xDB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
